<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head><link rel="stylesheet" type="text/css" href="style.css" /><script type="text/javascript" src="highlight.js"></script></head><body><pre><span class="hs-comment">-- |</span><span>
</span><span id="line-2"></span><span class="hs-comment">-- Module      : BasicData</span><span>
</span><span id="line-3"></span><span class="hs-comment">--</span><span>
</span><span id="line-4"></span><span class="hs-comment">-- This module contains data such as features, lexis and constituents</span><span>
</span><span id="line-5"></span><span class="hs-comment">-- needed to initialize</span><span>
</span><span id="line-6"></span><span class="hs-comment">-- other structures.</span><span>
</span><span id="line-7"></span><span class="hs-keyword">module</span><span> </span><span class="hs-identifier">BasicData</span><span> </span><span class="hs-keyword">where</span><span>
</span><span id="line-8"></span><span>
</span><span id="line-9"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><a href="Features.html"><span class="hs-identifier">Features</span></a></span><span>
</span><span id="line-10"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><a href="Lexis.html"><span class="hs-identifier">Lexis</span></a></span><span>
</span><span id="line-11"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><a href="Syntax.Constituent.html"><span class="hs-identifier">Syntax.Constituent</span></a></span><span>
</span><span id="line-12"></span><span>
</span><span id="line-13"></span><span class="hs-comment">--------------------------------------------------------------------------------</span><span>
</span><span id="line-14"></span><span class="hs-comment">-- Features</span><span>
</span><span id="line-15"></span><span class="hs-comment">--------------------------------------------------------------------------------</span><span>
</span><span id="line-16"></span><span>
</span><span id="line-17"></span><span class="hs-comment">-- | Starter features for nor constituents</span><span>
</span><span id="line-18"></span><span id="norArgF"><span class="annot"><span class="annottext">norArgF :: NF
</span><a href="BasicData.html#norArgF"><span class="hs-identifier hs-var hs-var">norArgF</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Person -&gt; Number -&gt; Case -&gt; Possessive -&gt; Determiner -&gt; Bool -&gt; NF
</span><a href="Features.Nominal.html#NF"><span class="hs-identifier hs-var">NF</span></a></span><span> </span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#Third"><span class="hs-identifier hs-var">Third</span></a></span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Singular"><span class="hs-identifier hs-var">Singular</span></a></span><span> </span><span class="annot"><span class="annottext">Case
</span><a href="Features.Nominal.html#Absolutive"><span class="hs-identifier hs-var">Absolutive</span></a></span><span> </span><span class="annot"><span class="annottext">Possessive
</span><a href="Features.Nominal.html#NoPoss"><span class="hs-identifier hs-var">NoPoss</span></a></span><span> </span><span class="annot"><span class="annottext">Determiner
</span><a href="Features.Nominal.html#Definite"><span class="hs-identifier hs-var">Definite</span></a></span><span> </span><span class="annot"><span class="annottext">Bool
</span><span class="hs-identifier hs-var">False</span></span><span>
</span><span id="line-19"></span><span>
</span><span id="line-20"></span><span class="hs-comment">-- | Starter features for nouns</span><span>
</span><span id="line-21"></span><span id="baseNounF"><span class="annot"><span class="annottext">baseNounF :: NF
</span><a href="BasicData.html#baseNounF"><span class="hs-identifier hs-var hs-var">baseNounF</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">NF
</span><a href="BasicData.html#norArgF"><span class="hs-identifier hs-var">norArgF</span></a></span><span>
</span><span id="line-22"></span><span>
</span><span id="line-23"></span><span class="hs-comment">-- | Starter features for nori arguments</span><span>
</span><span id="line-24"></span><span id="noriArgF"><span class="annot"><span class="annottext">noriArgF :: NF
</span><a href="BasicData.html#noriArgF"><span class="hs-identifier hs-var hs-var">noriArgF</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Person -&gt; Number -&gt; Case -&gt; Possessive -&gt; Determiner -&gt; Bool -&gt; NF
</span><a href="Features.Nominal.html#NF"><span class="hs-identifier hs-var">NF</span></a></span><span> </span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#Third"><span class="hs-identifier hs-var">Third</span></a></span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Singular"><span class="hs-identifier hs-var">Singular</span></a></span><span> </span><span class="annot"><span class="annottext">Case
</span><a href="Features.Nominal.html#Dative"><span class="hs-identifier hs-var">Dative</span></a></span><span> </span><span class="annot"><span class="annottext">Possessive
</span><a href="Features.Nominal.html#NoPoss"><span class="hs-identifier hs-var">NoPoss</span></a></span><span> </span><span class="annot"><span class="annottext">Determiner
</span><a href="Features.Nominal.html#Definite"><span class="hs-identifier hs-var">Definite</span></a></span><span> </span><span class="annot"><span class="annottext">Bool
</span><span class="hs-identifier hs-var">False</span></span><span>
</span><span id="line-25"></span><span>
</span><span id="line-26"></span><span class="hs-comment">-- | Starter features for nork arguments</span><span>
</span><span id="line-27"></span><span id="norkArgF"><span class="annot"><span class="annottext">norkArgF :: NF
</span><a href="BasicData.html#norkArgF"><span class="hs-identifier hs-var hs-var">norkArgF</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Person -&gt; Number -&gt; Case -&gt; Possessive -&gt; Determiner -&gt; Bool -&gt; NF
</span><a href="Features.Nominal.html#NF"><span class="hs-identifier hs-var">NF</span></a></span><span> </span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#Second"><span class="hs-identifier hs-var">Second</span></a></span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Singular"><span class="hs-identifier hs-var">Singular</span></a></span><span> </span><span class="annot"><span class="annottext">Case
</span><a href="Features.Nominal.html#Ergative"><span class="hs-identifier hs-var">Ergative</span></a></span><span> </span><span class="annot"><span class="annottext">Possessive
</span><a href="Features.Nominal.html#NoPoss"><span class="hs-identifier hs-var">NoPoss</span></a></span><span> </span><span class="annot"><span class="annottext">Determiner
</span><a href="Features.Nominal.html#Definite"><span class="hs-identifier hs-var">Definite</span></a></span><span> </span><span class="annot"><span class="annottext">Bool
</span><span class="hs-identifier hs-var">False</span></span><span>
</span><span id="line-28"></span><span>
</span><span id="line-29"></span><span class="hs-comment">-- | Starter features for verb phrases</span><span>
</span><span id="line-30"></span><span id="baseVF"><span class="annot"><span class="annottext">baseVF :: VF
</span><a href="BasicData.html#baseVF"><span class="hs-identifier hs-var hs-var">baseVF</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Tense -&gt; Aspect -&gt; NF -&gt; NF -&gt; NF -&gt; Instantiation -&gt; VF
</span><a href="Features.Verbal.html#VF"><span class="hs-identifier hs-var">VF</span></a></span><span> </span><span class="annot"><span class="annottext">Tense
</span><a href="Features.Verbal.html#Present"><span class="hs-identifier hs-var">Present</span></a></span><span> </span><span class="annot"><span class="annottext">Aspect
</span><a href="Features.Verbal.html#Punctual"><span class="hs-identifier hs-var">Punctual</span></a></span><span> </span><span class="annot"><span class="annottext">NF
</span><a href="BasicData.html#norArgF"><span class="hs-identifier hs-var">norArgF</span></a></span><span> </span><span class="annot"><span class="annottext">NF
</span><a href="BasicData.html#noriArgF"><span class="hs-identifier hs-var">noriArgF</span></a></span><span> </span><span class="annot"><span class="annottext">NF
</span><a href="BasicData.html#norkArgF"><span class="hs-identifier hs-var">norkArgF</span></a></span><span> </span><span class="annot"><span class="annottext">Instantiation
</span><a href="Features.Verbal.html#Full"><span class="hs-identifier hs-var">Full</span></a></span><span>
</span><span id="line-31"></span><span>
</span><span id="line-32"></span><span class="hs-comment">-- --------------------------------------------------------------------------------</span><span>
</span><span id="line-33"></span><span class="hs-comment">-- -- Constituents</span><span>
</span><span id="line-34"></span><span class="hs-comment">-- --------------------------------------------------------------------------------</span><span>
</span><span id="line-35"></span><span>
</span><span id="line-36"></span><span class="hs-comment">-- | The adverb &quot;ez&quot; ('no')</span><span>
</span><span id="line-37"></span><span id="ez"><span class="annot"><span class="annottext">ez :: Constituent
</span><a href="BasicData.html#ez"><span class="hs-identifier hs-var hs-var">ez</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">[Tag] -&gt; Lexis -&gt; Constituent
</span><a href="Syntax.Constituent.html#L"><span class="hs-identifier hs-var">L</span></a></span><span> </span><span class="hs-special">[</span><span class="annot"><span class="annottext">Tag
</span><span class="hs-string">&quot;no&quot;</span></span><span class="hs-special">]</span><span> </span><span class="annot"><span class="annottext">(Lexis -&gt; Constituent) -&gt; Lexis -&gt; Constituent
forall a b. (a -&gt; b) -&gt; a -&gt; b
</span><span class="hs-operator hs-var">$</span></span><span> </span><span class="annot"><span class="annottext">Adverb -&gt; AdvF -&gt; Lexis
</span><a href="Lexis.html#Adv"><span class="hs-identifier hs-var">Adv</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Tag -&gt; Adverb
</span><a href="Lexis.Adverb.html#A"><span class="hs-identifier hs-var">A</span></a></span><span> </span><span class="annot"><span class="annottext">Tag
</span><span class="hs-string">&quot;ez&quot;</span></span><span class="hs-special">)</span><span> </span><span class="annot"><span class="annottext">AdvF
</span><a href="Features.Adverbial.html#BareAdv"><span class="hs-identifier hs-var">BareAdv</span></a></span><span>
</span><span id="line-38"></span></pre></body></html>